## arping 2.07~pre1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1125 2004-08-29 18:47:37Z marvin $
+# $Id: Makefile 1893 2007-07-09 22:23:28Z marvin $
 TARGETS=arping
 
 CD=cd
@@ -21,7 +21,10 @@
 
 CC=gcc
 # explicit pcap include dir is for redhat which is fux0red
-CFLAGS=-g -I/usr/local/include -L/usr/local/lib -DFINDIF=$(FINDIF) -DUSE_NETIF=$(USE_NETIF) -DOPENBSD=$(OPENBSD) -DLINUX=$(LINUX) -DSOLARIS=$(SOLARIS) -DFREEBSD=$(FREEBSD) -DMACOSX=$(MACOSX) -I/usr/include/pcap
+CFLAGS=-g -I/usr/local/include -L/usr/local/lib -DFINDIF=$(FINDIF) -DUSE_NETIF=$(USE_NETIF) -DOPENBSD=$(OPENBSD) -DLINUX=$(LINUX) -DSOLARIS=$(SOLARIS) -DFREEBSD=$(FREEBSD) -DMACOSX=$(MACOSX) -I/usr/include/pcap -L/opt/csw/lib -R/opt/csw/lib
+
+CFLAGS2=-g -I/usr/local/include -I/usr/local/include/libnet-1.1 -I/usr/include/pcap -I/usr/local/include/libnet11
+LDFLAGS2=-g -L/usr/local/lib -L/usr/local/lib/libnet-1.1 -L/opt/csw/lib -L/usr/local/lib/libnet11
 
 all: message arping2
 
@@ -102,7 +105,7 @@
 arping2: arping-2/arping
 arping-2/arping: $(O_arping2)
 #	$(CC) `libnet-config --libs --defines --cflags` -o arping arping-2/arping.c -lnet -lpcap
-	$(CC) -g -o arping arping-2/arping.c -lnet -lpcap $(EXTRA_LIBS)
+	$(CC) $(CFLAGS2) $(LDFLAGS2) -o arping arping-2/arping.c -lnet -lpcap $(EXTRA_LIBS)
 
 clean:
 	rm -f *.o $(TARGETS)
@@ -123,35 +126,36 @@
 	$(GPG) -b -a $(DFILE); \
 	)
 test: arping2
-	@echo Testing with destination host $(HOST) and MAC $(MAC)
+	@echo Testing with destination host=$(HOST) and MAC=$(MAC)
+	@echo IF=$(IF)
 #	Easy ones
-	@$(SUDO) ./arping -c 1 -q $(HOST) || echo fail: arping host
-	@$(SUDO) ./arping -c 1 -q $(shell $(SUDO) ./arping -c 1 -r $(HOST)) \
+	$(SUDO) ./arping -i $(IF) -c 1 -q $(HOST) || echo fail: arping host
+	$(SUDO) ./arping -i $(IF) -c 1 -q $(shell $(SUDO) ./arping -i $(IF)  -c 1 -r $(HOST)) \
 		|| echo fail: arping mac
-	$(shell $(SUDO) ./arping -c 1 -q -t 00:11:22:33:44:55 $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -t 00:11:22:33:44:55 $(HOST) \
 		&& echo fail: -t switch)
 
 #	-A
-	$(shell $(SUDO) ./arping -c 1 -q -A $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A $(HOST) \
 		&& echo fail: -A switch)
-	$(shell $(SUDO) ./arping -c 1 -q -A $(MAC) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A $(MAC) \
 		&& echo fail: -A switch)
 
 #	Directed pings
-	$(shell $(SUDO) ./arping -c 1 -q -t $(MAC) $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -t $(MAC) $(HOST) \
 		|| echo fail: -t switch 2)
-	$(shell $(SUDO) ./arping -c 1 -q -T $(HOST) $(MAC) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -T $(HOST) $(MAC) \
 		|| echo fail: -T switch)
-	$(shell $(SUDO) ./arping -c 1 -q -A -t $(MAC) $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A -t $(MAC) $(HOST) \
 		|| echo fail: -t switch with -A)
-	$(shell $(SUDO) ./arping -c 1 -q -A -T $(HOST) $(MAC) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A -T $(HOST) $(MAC) \
 		|| echo fail: -T switch with -A)
 
 #	Ok both ways?
-	$(shell [ `$(SUDO) ./arping -c 1 -r $(HOST)` = $(MAC) ] \
+	$(shell [ `$(SUDO) ./arping -i $(IF) -c 1 -r $(HOST)` = $(MAC) ] \
 		|| echo fail: host to MAC translation weird)
-	$(shell [ `$(SUDO) ./arping -c 1 -R $(HOST)` = \
-		  `$(SUDO) ./arping -c 1 -r $(MAC)` ] \
+	$(shell [ `$(SUDO) ./arping -i $(IF) -c 1 -R $(HOST)` = \
+		  `$(SUDO) ./arping -i $(IF) -c 1 -r $(MAC)` ] \
 		|| echo fail: host to MAC translation and back weird)
 
 #	FIXME: more tests listed in arping.c
