## arping 2.09

=== debian/changelog ===
arping (2.09-2) unstable; urgency=low

  * [084a112] Fix a FTBFS on kfreebsd. (Closes: #577002) - thanks to
    Petr Salinger

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 09 Apr 2010 17:47:14 +0200

arping (2.09-1) unstable; urgency=low

  * [ae34a1a] Switch to quilt
  * [6fefc48] Updated my email address
  * [a4d6a0d] Bump debhelper
  * [1280d1e] Bump to Standards-Version 3.8.4
  * [ee5d7be] Updated watch file
  * [3f22b39] Imported Upstream version 2.09
  * [2cab0a0] Switch to dpkg-source 3.0 (quilt) format
  * [44915d7] Added autotools-dev in BUild-depends and copy
    config.sub/guess at build time
  * [cd3e6d3] Remove config.guess and config.sub at build time
  * [183451b] arping-scan-net.sh is now in extra/
  * [f432d2a] removed 01_fix_makefile.patch
  * [951cfa4] Added ${misc:Depends} in Depends and removed quilt
  * [eb272a9] dh-clean-k-is-deprecated, use dh_prep
  * [c45d3b6] Refreshed 02_fix_manpage.patch
  * [ba77b60] Added VCS control fields

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 04 Apr 2010 11:36:04 +0200

arping (2.08-1) unstable; urgency=low

  * New upstream release
  * Re-patch new arping.8 for fixing manpage-has-errors-from-man and
    hyphen-used-as-minus-sign lintian warnings
  * debian/copyright: Updated copyright year and url where arping was
    downloaded

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 15 Aug 2008 22:44:52 +0200

arping (2.07~pre1-3) unstable; urgency=low

  * Removed if-up.d script, there is a similar script in ifupdown-extra.
    Moved to examples/ (Closes: #492461)
    + Removed lsb-base from Depends and come back to debhelper (>= 5)
    + debian/control: removed dh_installinit and dh_installifupdown
    + debian/arping.example: Added debian/arping.if-up and arping.if-up
    + Updated Readme.Debian

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 27 Jul 2008 03:30:59 +0200

arping (2.07~pre1-2) unstable; urgency=low

  * Added a patch (improved) that adds a network/ip-up.d script for using
    arping to check for IP duplicates after bringing up the interface. Thanks
    to Robert Millan (Closes: #431066)
  * debian/rules:
    + Removed CFLAGS settings, this is now done by dpkg-buildpackage
    + Added dh_installinit and dh_installifupdown in binary-arch section
  * debian/control: 
    + Added lsb-base (>= 3.0-10) to Depends (debian/arping.if-up needs it)
    + Modified debhelper version in Build-Depends, debhelper (>= 5.0.44~),
      dh_installinit is in debhelper (>= 5.0.44~) 

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 30 Jun 2008 16:45:28 +0200

arping (2.07~pre1-1) unstable; urgency=low

  * New upstream release. libnet is now initialized correctly, which fixes the
    segmentation fault on imbecile user input. (Closes: #210992)
  * New maintainer, thanks to LENART Janos for the prior work on arping
    (Closes: #487334)
  * Rewrite debian/rules, now handles nostrip build option (Closes: #436472)
  * Added debhelper level (5)
  * Switch to dpatch
    + 01_fix_makefile.dpatch fixed some common path problems
    + 02_fix_manpage.dpatch fixed lintian warning manpage-has-errors-from-man,
      hyphen-used-as-minus-sign
  * Added debian/examples debian/docs
  * Added debhelper (>= 5) to Build-Depends
  * Updated to standards version 3.8.0
    + Added Homepage control field
  * Removed libpcap0.8-dev from Build-depends and added libpcap-dev

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 22 Jun 2008 16:17:14 +0200

arping (2.05-2) unstable; urgency=low

  * QA upload.
  * Restore LENART Janos as maintainer at his request.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 23 Jul 2006 02:40:33 +0200

arping (2.05-1) unstable; urgency=low

  * New upstream release.
  * Set Maintainer to Debian QA Group.
  * Bump Standards-Version to 3.7.0.
  * Add watch file.  closes: #255861.
  * Add copyright to copyright file.  closes: #290058.
  * Remove XSIism from rules file.
  * Change build-dep from libpcap-dev to libpcap0.8-dev.
  * Update FSF address in the copyright file.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Apr 2006 00:36:14 -0400

arping (2.01-3) unstable; urgency=medium

  * Setgid removed (on control-directory).           (closes: Bug#234481)
  * Bashism fixed.                                   (closes: Bug#230342)

 -- Lenart Janos <ocsi@debian.org>  Sat, 13 Mar 2004 22:50:04 +0100

arping (2.01-2) unstable; urgency=medium

  * Fixed Build-Depends.                             (closes: Bug#220760)

 -- Lenart Janos <ocsi@debian.org>  Fri, 26 Dec 2003 11:37:16 +0100

arping (2.01-1) unstable; urgency=medium

  * New upstream release. Take care: minor changes!  (closes: Bug#136311,
                                                              Bug#210992,
							      Bug#214259)
  * Changed Depends: libnet0-dev to libnet1-dev.
  * Joined, and carefully edited copyright file ;)
  * Upgraded Standards-Version.

 -- Lenart Janos <ocsi@debian.org>  Sun,  2 Nov 2003 13:09:45 +0100

arping (1.05-1) unstable; urgency=low

  * New upstream release.
  * Last NMU accepted.                               (closes: Bug#156191)
  * Upgraded Standards-Version.

 -- Lenart Janos <ocsi@debian.org>  Tue,  5 Nov 2002 23:57:58 +0100

arping (1.04-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:43 +0200

arping (1.04-1) unstable; urgency=low

  * New upstream release.
  * Fixed Build-Depends.                             (closes: Bug#134857)
  
 -- Lenart Janos <ocsi@debian.org>  Fri, 22 Feb 2002 18:30:46 +0100

arping (1.02-2) unstable; urgency=low

  * Added include net/ethernet.h into arping.c so it may comile on the
    s390 architecture.                               (closes: Bug#123663)
  * Fixed debian/{post,pre}{inst,rem}.


