=== debian/control ===
Source: arping
Section: net
Priority: optional
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
Vcs-git: git://git.debian.org/users/iuculano/arping.git
Vcs-Browser: http://git.debian.org/?p=users/iuculano/arping.git

Package: arping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: iputils-arping, iputils-ping (<< 20001110-6)
Description: sends IP and/or ARP pings (to the MAC address)
 The arping utility sends ARP and/or ICMP requests to the specified host
 and displays the replies. The host may be specified by its hostname,
 its IP address, or its MAC address.
