=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for arping by Lenart Janos.
# Written from scratch.
# Re-written by Giuseppe Iuculano

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_FLAGS += -s
endif
		


configure: configure-stamp
configure-stamp:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	$(MAKE) DESTDIR=$(CURDIR)/debian/arping 
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.status config.sub config.guess config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/arping

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
