## arping 2.11

=== debian/changelog ===
arping (2.11-1) unstable; urgency=low

  * [8b5403e] Imported Upstream version 2.11
  * [2331064] Removed patches applied upstream
  * [c8843de] use build-arch and build-indep
  * [214c6ca] Bump to standards-version 3.9.3, no changes needed
  * [fe03b17] Use hardening-wrapper

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 01 Apr 2012 12:16:23 +0200
