=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev, hardening-wrapper
+Standards-Version: 3.9.3
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-git: git://git.debian.org/users/iuculano/arping.git
 Vcs-Browser: http://git.debian.org/?p=users/iuculano/arping.git
