=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_FLAGS += -s
 endif
-		
+
+export DEB_BUILD_HARDENING=1
 
 
 configure: configure-stamp
@@ -17,7 +18,9 @@
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp
 	$(MAKE) DESTDIR=$(CURDIR)/debian/arping
