## arping 2.14

=== debian/changelog ===
arping (2.14-1) unstable; urgency=low

  * [fb6f4d7] Imported Upstream version 2.14
    - Fixed -w issue (Closes: #714042)
  * [82c064d] Removed patches applied upstream
  * [5da3a23] debian/control: Use canonical VCS field
  * [87c7348] Added build-arch and build-indep targets
  * [1e6fb8e] Switch to debhelper 9 compatibility
  * [d282404] Update to Standards-Version 3.9.5, no changes need
  * [19c2d75] Rewrite debian/rules with new dh syntax

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 04 Oct 2014 18:24:28 +0200
