=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libnet1-dev, libpcap-dev, autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
-Vcs-git: git://git.debian.org/users/iuculano/arping.git
-Vcs-Browser: http://git.debian.org/?p=users/iuculano/arping.git
+Vcs-git: git://anonscm.debian.org/users/iuculano/arping.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/iuculano/arping.git
 
 Package: arping
 Architecture: any
