=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for arping by Lenart Janos.
# Written from scratch.
# Re-written by Giuseppe Iuculano

#DH_VERBOSE = 1
%:
	dh $@  --with autotools-dev
