=== debian/watch ===
version=3
opts=dversionmangle=s/~// \
 http://www.habets.pp.se/synscan/files/arping-(.*)\.tar\.gz
