## arping 2.19

=== debian/changelog ===
arping (2.19-1) unstable; urgency=medium

  * New upstream version 2.19 (Closes: #846924)
  * Update copyright years for upstream files
  * debian/control: Add check to Build-Depends
  * Correct paths to example files in README.Debian

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Aug 2017 15:59:44 +0200

arping (2.14-2) unstable; urgency=medium

  * New maintainer for arping.
    Thanks to Giuseppe Iuculano for all the previous work on arping.
    (Closes: #866831)
  * Really do not install /etc/network/if-up.d/arping anymore.
    Even the files were installed to the examples directory due to the use
    of the default filenames used by dh_installinit and dh_installfiupdown
    th files were additionally still be installed to
    /etc/network/if-up.d/arping and /etc/default/arping. (Closes: #492461)
  * Properly remove obsolete /etc/default/arping and if-up.d script
  * Update Vcs-(Git|Browser) fields for new location in collab-maint
  * Bump Debhelper compat level to 10
  * Drop explicit Build-Depends on autotools-dev
  * debian/copyright: Update format to copyright-format 1.0
  * Import upstream public OpenPGP key in debian/upstream/signing-key.asc
  * Instruct uscan to verify upstream releases' OpenPGP signature
  * Add patch to fix spelling error in manpage of arping.8
  * Declare compliance with Debian policy 4.0.0
  * debian/control: Wrap and sort fields
  * Drop Conflicts with ancient version of iputils-ping

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Aug 2017 09:48:36 +0200
