=== debian/control ===
Source: arping
Section: net
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: check, debhelper (>= 10), libnet1-dev, libpcap-dev
Standards-Version: 4.0.0
Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/arping.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/arping.git

Package: arping
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: iputils-arping
Description: sends IP and/or ARP pings (to the MAC address)
 The arping utility sends ARP and/or ICMP requests to the specified host
 and displays the replies. The host may be specified by its hostname,
 its IP address, or its MAC address.
