=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 
 #DH_VERBOSE = 1
 %:
-	dh $@  --with autotools-dev
+	dh $@
