=== debian/watch ===
version=3
opts="dversionmangle=s/~//,pgpsigurlmangle=s/$/.asc/" \
 http://www.habets.pp.se/synscan/files/arping-(.*)\.tar\.gz
