## arping 2.20

=== debian/changelog ===
arping (2.20-1) unstable; urgency=medium

  * New upstream version 2.20
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Drop spelling-error-in-manpage.patch (applied upstream)
  * Drop Fall-back-to-gettimeofday-if-clock_gettime-fails.patch (applied
    upstream)
  * Drop Provide-configure-time-fallback-for-cross-compile-ch.patch (applied
    upstream)
  * Drop Further-improvement-for-cross-compiling.patch (applied upstream)
  * Drop Further-simplify-CLOCK_MONOTONIC-check.patch (applied upstream)
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * Declare compliance with Debian policy 4.4.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Oct 2019 09:04:02 +0200

arping (2.19-6) unstable; urgency=medium

  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 14:11:07 +0100

arping (2.19-5) unstable; urgency=medium

  * Add an initial Gitlab CI config file
  * Add simple smoke test for autopkgtest
  * Declare compliance with Debian policy 4.1.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 May 2018 14:10:02 +0200

arping (2.19-4) unstable; urgency=medium

  * Update Vcs-* headers for switch to salsa.debian.org
  * Bump Debhelper compat level to 11
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.1.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Feb 2018 10:21:13 +0100

arping (2.19-3) unstable; urgency=medium

  * Use debhelper integraton for dpkg-maintscript-helper.
    Instead of using the snippets in postrm, preinst and postinst maintainer
    scripts use the debhelper integration.
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 22 Nov 2017 21:08:09 +0100

arping (2.19-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Fall back to gettimeofday() if clock_gettime() fails
  * Fix "FTCBFS: uses AC_TRY_RUN"
    - Provide configure-time fallback for cross-compile checks.
    - Further improvement for cross-compiling.
    Thanks to Helmut Grohne and Thomas Habets (Closes: #877402)
  * Further simplify CLOCK_MONOTONIC check
  * debian/watch: Bump format to version 4.
    Use @PACKAGE@, @ANY_VERSION@ and @ARCHIVE_EXT@ substitutions.
    Replace use of pgpsigurlmangle with pgpmode=auto and let uscan check
    various possible URLs for the signature file on its own.
  * Declare compliance with Debian policy 4.1.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Oct 2017 21:56:08 +0200
