=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: check, debhelper (>= 10), libnet1-dev, libpcap-dev
-Standards-Version: 4.0.0
+Build-Depends: check, debhelper-compat (= 12), libnet1-dev, libpcap-dev
+Standards-Version: 4.4.1
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/arping.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/arping.git
+Vcs-Browser: https://salsa.debian.org/debian/arping
+Vcs-Git: https://salsa.debian.org/debian/arping.git
+Rules-Requires-Root: no
 
 Package: arping
 Architecture: any
