## arping 2.21

=== debian/changelog ===
arping (2.21-2) unstable; urgency=medium

  * unit tests: Remove test registry code in favour of code duplication
    (Closes: #980595)
  * Declare compliance with Debian policy 4.5.1
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 13

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 21 Jan 2021 06:29:56 +0100

arping (2.21-1) unstable; urgency=medium

  * New upstream version 2.21
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.5.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Mar 2020 14:56:34 +0100
