=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: check, debhelper-compat (= 12), libnet1-dev, libpcap-dev
-Standards-Version: 4.4.1
+Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev
+Standards-Version: 4.5.1
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git
