## arping 2.22

=== debian/changelog ===
arping (2.22-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    - Remove 2 maintscript entries from 1 files.

  [ Salvatore Bonaccorso ]
  * debian/test/control: smoke-test: Mark as superficial (Closes: #971450)
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * Remove obsolete fields Name, Contact from debian/upstream/metadata
  * Declare compliance with Debian policy 4.6.0
  * New upstream version 2.22
  * debian/watch: Switch to HTTPS transport in watch URL

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Dec 2021 15:15:04 +0100
