=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git
