## arping 2.23

=== debian/changelog ===
arping (2.23-1) unstable; urgency=medium

  * New upstream version 2.23
  * Update copyright years for upstream files.
  * Update copyright years for debian/* packaging files
  * debian/control: Add Build-Depends on libseccomp-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Mar 2022 13:16:53 +0100
