=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev
+Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
 Standards-Version: 4.6.0
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
