## arping 2.25

=== debian/changelog ===
arping (2.25-1) unstable; urgency=medium

  * New upstream version 2.25

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 13 Jul 2024 07:58:46 +0200

arping (2.24-2) unstable; urgency=medium

  * seccomp: Check for and allow statx (Closes: #1070786)
  * Declare compliance with Debian policy 4.7.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2024 06:39:54 +0200
