=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: arping
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git
