=== debian/watch ===
version=4
opts="dversionmangle=s/~//,pgpmode=auto" \
 https://www.habets.pp.se/synscan/files/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
