## arping 2.26

=== debian/changelog ===
arping (2.26-1build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:07:32 +0000

arping (2.26-1) unstable; urgency=medium

  * New upstream version 2.26
  * Declare compliance with Debian policy 4.7.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Aug 2025 21:28:53 +0200
