=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git
