## arping 2.28

=== debian/changelog ===
arping (2.28-1) unstable; urgency=medium

  * New upstream version 2.28
  * Update copyright years for upstream files
  * debian/watch: use uscan version 5
  * debian/control: Remove "Priority: optional" (default)
  * Declare compliance with Debian policy 4.7.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Dec 2025 11:25:18 +0100
