=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: arping
 Section: net
-Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git
