=== debian/watch ===
Version: 5
Source: https://www.habets.pp.se/synscan/files/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/~//
